<!DOCTYPE html>

<html lang="zxx">

<head>
  <title>Isaul Garcia ∷ MDEF</title>

  <!-- Main Stylesheet -->
  <link href="css/style_2.css" rel="stylesheet">
  <script src="forscrolly.js"></script>

</head>



<body class="over_margins">
  <section>
    <div class="topsec rightcolumn">
        <div class="navbar">
          <div class="navtext fortop">
              <a class="h7">Isaúl García</a>
          </div>
          <div class="navtext fortop forright">
              <a class="h8 navspacerR hovy" href="index.html">Home</a>
              <a class="h8 navspacerR hovy" href="aboutme.html">About</a>
              <a class="h8 navspacerR hovy" href="projects.html">Projects</a>
              <a class="h8 navspacerR hovy activenav" href="fabacademy.html">Fab Academy</a>
              <a class="h8 navspacerR hovy" href="journal.html">Journal</a>
          </div>
      </div>
      <hr width="100%" size="1" color="#000"/>
    </div>
  </section>


<section class="rightcolumn">
  <div class="ingcontainer blogcontainer justpad">
    <div class="myDiv_b">
      <img class="bloginage blogtitle-l"   href="portfolio.html" src="images/input2.png">
      <div class="blogtitle-r2">
          <h1>Inputs</h1><h1></h1>
          <h3>FAB ACADEMY</h3>
          <h6><br></h6>
          <h3></h3>
          <h3></h3>
        </div>
      </div>
  </div>
<hr color="#000"class="lineblog"/>
</section>
<!-- section for image end -->



<section>

  <div class="rightcolumn" style="padding-top:-50px">

    <div class="rightcolumnblog">
      <img class="in-blog-img"   href="portfolio.html" src="images/inputshead.jpg" width="100%">
      <h6><br></h6>
      <h3 class="blogtitle-l">W9</h3>
      <h3 class="blogtitle-r">2020</h3>
      <h6><br></h6>
      <h6><br></h6>
      <br>

      <hr color="#000" class="lineblog"/>

      <br>
      <h4>Inputs</h4>
      <p>
        For this week's task I used 2 buttons. Since I'm in a lack of inputs in my home I had to use simple buttons but I decided to make a couple of them to be able to detect different values within the same circuit using the analogRead. I used <a href="https://www.youtube.com/watch?v=YR9-Gn5fk-c" style="text-decoration:none; color: ##92968a;">[ this ]</a> video to figure out the connection between the buttons. I then proceeded to make the connections in the arduino, along with some leds.
      </br>
        <img class="in-blog-img"   href="portfolio.html" src="images/REDBUTTONPRESSES.jpg" style="width: 100%;">
      </br>
        First, I used serial read to see the different values and list the different functions accordingly. Using analogRead I detected that without press the value was 1023. When I pressed the bottom button the value changed to approximately 550. When I pressed the top button the value was around 100. I decided to make the parmaters, bottom press above 400 and top prees below 400.
      </br>
        <img class="in-blog-img"   href="portfolio.html" src="images/in01.jpg" style="width: 100%;">
      </br>
        After that, I could now put some function to the buttons. I put 3 leds in a row. With my function, leds would begin at a dim brigness using analogWrite. When I press the bottom button the middle led would light up with higher intensity, as the other two turn off. Then viceversa for the top button. Most of this process was fairly simple and very fewe mistakes where made. I had to dig up a little for the button alignment but I managed to find one that worked for me.
      </br>
        <img class="in-blog-img"   href="portfolio.html" src="images/IMG_8650.jpg" style="width: 100%;">
      </br>
        <iframe src="https://drive.google.com/file/d/1uoeUZRU9pjK3Ltj2sVz7Sv7Ocf7RUB6E/preview" width="100%" height="480"></iframe>
      </br>
      </p>
      <P>

    <h4>Files</h4>
        <a href="resources/ReadingButtons.ino" download>◦ ReadingButtons(.ino)</a></br>
        <a href="resources/LedIntensities.ino" download>◦ LedIntensities(.ino)</a></br>
      </br>
        <hr width="100%" size="1" color="#fcfcfc"/>
      <a class="rightcolumn-i">
        <img src="images/lincon.svg">
      </a>
      <br>
      <p>
        <strong>Student</strong>
        <br>
        Isaul Garcia
      </p>
      <br>
      <hr width="100%" size="1" color="#000"/>
      <img   href="comment.html" style="cursor: pointer" src="images/envelope.svg" width="22px">

      <!--
      <form action="/html/tags/html_form_tag_action.cfm" method="post">Comments?<br />
        <textarea name="comments" id="comments" style="width:350px;height:150px;background-color:#fff;">
        </textarea><br/>
        <input type="submit" value="Submit" />
      </form>

      picture icon
      name of week
      tags
      gallery
      w0
      date
      text
      link for next and prev

    -->

    </div>
  </div>

</section>

<section>
  <div class="rightcolumn fo">
  </div>
</section>



</body>


</html>
